Bug 92433 - Writer hangs and eats a lot of memory until being killed while processing complex 134-page DOCX with images
Summary: Writer hangs and eats a lot of memory until being killed while processing com...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: noRepro:5.0
Keywords: bibisectRequest, filter:docx, regression
Depends on:
Blocks: Image-Caching DOCX-Opening Memory
  Show dependency treegraph
 
Reported: 2015-06-29 18:42 UTC by Vladimir Rutsky
Modified: 2019-05-15 12:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
document on which LO hangs (1.12 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-06-29 18:42 UTC, Vladimir Rutsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Rutsky 2015-06-29 18:42:15 UTC
Created attachment 116933 [details]
document on which LO hangs

Steps to reproduce:

1. Download attached document (also publicly available from official IHO site [1]).

2. Open with Writer.

3. Wait for a 10-30 seconds.

Expected behavior: opened document is displayed without any significant memory footprint.
Observed behavior: Writer works at start and displays first pages, but hangs after 10-20 seconds of some document processing (even without any user interaction), memory usage increases over 20 GB and application being killed due to out of memory.

Tested on Ubuntu's 14.04 LO 4.2.8.2 and libreoffice-4-4~2015-06-25_10.22.13_LibreOfficeDev_4.4.5.0.0_Linux_x86-64_deb nightly build.

[1] http://www.iho.int/mtg_docs/com_wg/TSMAD/TSMAD29_DIPWG7/TSMAD29_DIPWG7_10.3A_S-101_ENC%20ProductSpecification20140708_annotated_rev3.docx
Comment 1 MM 2015-06-29 21:27:11 UTC
Confirmed with v4.4.4.3 under mint 17.1 x64.
Confirmed with v4.4.4.3 under windows 7 x64.
Unconfirmed with v5.0.0.3 under mint 17.1 x64.

Already fixed in v5.x, but not backported to v4.x ???
Comment 2 Timur 2015-06-30 13:02:49 UTC
Looks like it started somewhere in 4.0, maybe 4.0.2.
Comment 3 Xisco Faulí 2015-08-21 11:24:37 UTC
I can no longer reproduce this issue with

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)

I guess I can close it as 'RESOVED WORKFORME' while the commit that fixes the
problem is being identified for the backportRequest.

More info:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/RESOLVED#WORKSFORME
Comment 4 Xisco Faulí 2015-08-21 11:34:21 UTC
Add 'bibisectRequest' to Whiteboard to bibisect the commit that fixes the problem
Comment 5 Robinson Tryon (qubit) 2015-12-17 04:38:16 UTC Comment hidden (no-value, obsolete)
Comment 6 Michael Stahl (CIB) 2016-05-09 16:34:43 UTC Comment hidden (obsolete)
Comment 7 Timur 2017-08-08 09:48:08 UTC
Repro with 6.0+ Windows. LO 32-bit goes to 1,2 GB of memory and "bad allocation" while 6-4 bit goes to 4,5 GB of memory on my machine and freezes.
Comment 8 Telesto 2017-08-08 17:46:23 UTC
Probably a weird quirk, but the file is opening fine with:
Version: 6.0.0.0.alpha0+
Build ID: 386fcf9be786b302cd2c6f85ff6d8d97a6777926
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-06_01:57:50
Locale: nl-NL (nl_NL); Calc: CL

it crashes with:
Version: 6.0.0.0.alpha0+
Build ID: 9ca7bda2cc8b67c2d10fcb81cce8bfd4d8b79b09
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-02_01:19:29
Locale: nl-NL (nl_NL); Calc: CL
Comment 9 Telesto 2017-12-12 18:59:48 UTC
No repro with:
Version: 6.1.0.0.alpha0+
Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: nl-NL (nl_NL); Calc: CL
Comment 10 Timur 2017-12-13 09:22:56 UTC
Repro with libo-master~2017-12-07_00.57.57_LibreOfficeDev_6.1.0.0.alpha0_Win_x86

Memory is increasing to 1,6 GB. I get dump then crash: 

STACK_TEXT:  
WARNING: Stack unwind information not available. Following frames may be wrong.
00f2e7f4 5456e135 00000001 0e1abc70 00f2e828 writerfilterlo!com_sun_star_comp_Writer_WriterFilter_get_implementation+0xfd71
00f2e804 06721a23 17b79620 4baeb541 0e934338 cppuhelper3MSC!cppu::OWeakObject::release+0x25
00f2e828 0671fc2b 4baeb511 0e719628 0e1abc70 expwraplo!sax_fastparser::FastSaxParser::parseStream+0x833
00f2e878 0671e0db 4baeb5f5 00000001 05e064d0 expwraplo!cppu::WeakImplHelper<com::sun::star::lang::XInitialization,com::sun::star::xml::sax::XFastParser,com::sun::star::lang::XServiceInfo>::acquire+0x295b
00f2e89c 527e0fc0 0e719628 05ff794d 0e1d686b expwraplo!cppu::WeakImplHelper<com::sun::star::lang::XInitialization,com::sun::star::xml::sax::XFastParser,com::sun::star::lang::XServiceInfo>::acquire+0xe0b
00f2e8c0 527e96cb 05e064d0 0e1d686b 0e1d6a86 libxml2!xmlParseEndTag+0x420
00f2e8f0 0fc5da76 0e9cb760 00000003 0e6c15f0 libxml2!xmlParseTextDecl+0xd6b
00000000 00000000 00000000 00000000 00000000 ucpfile1+0x1da76

FOLLOWUP_IP: 
writerfilterlo!com_sun_star_comp_Writer_WriterFilter_get_implementation+fd71
6a301fe1 8bec            mov     ebp,esp
Comment 11 Roman Kuznetsov 2018-12-24 19:54:14 UTC
I got freeze of LO with over 3,5Gb of memory in use

Версия: 6.2.0.1 (x64)
ID сборки: 0412ee99e862f384c1106d0841a950c4cfaa9df1
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: GL; VCL: win; 
Локаль: ru-RU (ru_RU); UI-Language: ru-RU
Calc: threaded